class Muckityp
{
  Muckityp()
  {
    wasBinIch();
  }

  void wasBinIch()
  {
    System.out.println( "Ich weiß es noch nicht :-(" );
  }
}

public class Rausschmeisser extends Muckityp
{
  String was = "Ich bin ein Rausschmeisser";
  
//	Rausschmeisser()
//	{
//		super();
//		
//		was = "Ich bin ein Rausschmeisser";
//	}
  
  @Override
  void wasBinIch()
  {
    System.out.println( was );
  }

  public static void main( String[] args )
  {
    Muckityp bb = new Muckityp();
    bb.wasBinIch();

    Rausschmeisser bouncer = new Rausschmeisser();
    bouncer.wasBinIch();
  }
}
